package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业通话对象 company_voice
 * 
 * @author fs
 * @date 2023-02-23
 */
public class CompanyVoice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long voiceId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 剩余时长 分 */
    @Excel(name = "剩余时长 分")
    private Long times;

    /** 累计时长 分 */
    @Excel(name = "累计时长 分")
    private Long totalTimes;

    public void setVoiceId(Long voiceId) 
    {
        this.voiceId = voiceId;
    }

    public Long getVoiceId() 
    {
        return voiceId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setTimes(Long times) 
    {
        this.times = times;
    }

    public Long getTimes() 
    {
        return times;
    }
    public void setTotalTimes(Long totalTimes) 
    {
        this.totalTimes = totalTimes;
    }

    public Long getTotalTimes() 
    {
        return totalTimes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("voiceId", getVoiceId())
            .append("companyId", getCompanyId())
            .append("times", getTimes())
            .append("totalTimes", getTotalTimes())
            .toString();
    }
}
